# JuiceFS Adopters

For users of JuiceFS:

| Company/Team                                                                            | Environment | Use Cases              |
| :---                                                                                    | :---        | :---                   |
| [Xiaomi](https://www.mi.com)                                                            | Production  | AI                     |
| [Li Auto Inc.](https://www.lixiang.com)                                                 | Production  | Big Data, AI           |
| [Shopee](https://shopee.com)                                                            | Production  | Big Data               |
| [Zhihu](https://www.zhihu.com)                                                          | Production  | Big Data               |
| [Yaoxin Financing Re-Guarantee](https://www.yaoxinhd.com)                               | Production  | Big Data, File Sharing |
| [Megvii](https://megvii.com)                                                            | Production  | AI                     |
| [Piesat Information Technology Co., Ltd.](https://www.piesat.cn)                        | Production  | File Sharing           |
| [Gene Way](http://www.geneway.cn)                                                       | Production  | File Sharing           |
| [Dingdong Fresh](https://www.100.me)                                                    | Testing     | Big Data               |
| [UniSound](https://www.unisound.com)                                                    | Testing     | AI                     |
| [SF-Express](https://www.sf-express.com)                                                | Testing     | Big Data, File Sharing |
| [BIGO](https://bigo.tv)                                                                 | Testing     | AI                     |
| [Inner Mongolia MENGSHANG Consumer Finance Co., Ltd.](https://www.mengshangxiaofei.com) | Testing     | File Sharing           |

For the JuiceFS community ecosystem:

- [Megvii](https://en.megvii.com) team contributed [Python SDK](https://github.com/megvii-research/juicefs-python).
- [PaddlePaddle](https://github.com/paddlepaddle/paddle) team has integrated JuiceFS into [Paddle Operator](https://github.com/PaddleFlow/paddle-operator), please refer to [the document](https://github.com/PaddleFlow/paddle-operator/blob/sampleset/docs/en/ext-overview.md).
- Build a distributed [Milvus](https://milvus.io) cluster based on JuiceFS, the Milvus team wrote a [case sharing](https://zilliz.com/blog/building-a-milvus-cluster-based-on-juicefs) and [tutorial](https://tutorials.milvus.io/en-juicefs/index.html?index=..%2F..index#0).
- [Apache Kylin 4.0](http://kylin.apache.org) that is a OLAP engine could deploy with the JuiceFS in dissaggregated storage and compute architecture on every public cloud platform, there is [the video sharing](https://www.bilibili.com/video/BV1c54y1W72S) (in Chinese) and [the post](https://juicefs.com/blog/en/posts/optimize-kylin-on-juicefs/) for this use case.
- [UniSound](https://www.unisound.com) team participated in the development of [Fluid](https://github.com/fluid-cloudnative/fluid) JuiceFSRuntime cache engine, please refer to [this document](https://github.com/fluid-cloudnative/fluid/blob/master/docs/en/samples/juicefs_runtime.md).

You are welcome to share your experience after using JuiceFS, either by submitting a Pull Request directly to this list, or by contacting us at hello@juicedata.io.
